Skip to navigation

Get a tariff

One tariff by OCPI id. If two parties use the same id, pass country_code and party_id (409 otherwise).

Authentication

AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Path parameters

tariff_idstringRequired1-36 characters
OCPI tariff id.

Query parameters

country_codestring or nullOptionalformat: "^[A-Z]{2}$"=2 characters
Only this OCPI party country code, e.g. NL.
party_idstring or nullOptionalformat: "^[A-Z0-9]{3}$"=3 characters
Only this OCPI party id, e.g. OCP.

Response

The requested object.
idinteger
organization_idstring
tariff_idstring
country_codestring
party_idstring
currencystring
elementslist of objects
rolestring
originenum or any
ocpi_versionenum or any
last_updateddatetime
revisioninteger
created_atdatetime
updated_atdatetime
typeenum or any or nullOptional
tariff_alt_textlist of objects or nullOptional
tariff_alt_urlstring or nullOptional
min_priceobject or nullOptional
max_priceobject or nullOptional
preauthorize_amountstring or nullOptional
tax_includedenum or any or nullOptional
start_date_timedatetime or nullOptional
end_date_timedatetime or nullOptional
energy_mixobject or nullOptional
ocpp_versionstring or nullOptional

Errors

401
Unauthorized Error
404
Not Found Error
409
Conflict Error
422
Unprocessable Entity Error
429
Too Many Requests Error
502
Bad Gateway Error
504
Gateway Timeout Error